System.ServiceModel 4.0.0.0 System.Object

Use the to download metadata. Typically, a is configured for a metadata request and then passed to the or method for the to use to download metadata.

However, you can use the directly to retrieve metadata as a that contains objects.

Whether used directly or passed to a , has the following members to control the metadata download process:

Use the constructors to customize the binding to use when making the metadata request.

Use the property to specify the credentials used to make an HTTP/GET request.

Use the property to specify the credentials used to make a WS-Transfer metadata request.

Use the property to limit the number of metadata references the resolves.

Use the property to limit the time spent retrieving metadata.

Use the property to specify whether to locate and retrieve other metadata documents referred to by the metadata downloaded from the original metadata endpoint.

Use the methods to begin the downloading process.

In addition, you can create a derived class that can override the following two protected methods:

Override the method to modify the channel that makes a metadata request using WS-Transfer.

Override the method to modify the that makes a metadata request using HTTP/GET.

Downloads service metadata.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  Use this constructor to specify a binding to use when downloading metadata.

  Initializes a new instance of the class using the specified binding.

  The binding to use when retrieving metadata using WS-Transfer.
- Constructor
  4.0.0.0

  Use this constructor to specify the address of the metadata endpoint.

  Initializes a new instance of the class.

  The metadata address.
- Constructor
  4.0.0.0

  Use this constructor to use the data from a specific endpoint configuration element to create a channel to download the metadata.

  Initializes a new instance of the class.

  The name of the endpoint configuration information to use when downloading metadata.
- Constructor
  4.0.0.0

  Use this constructor to specify the address and whether to use an HTTP GET request or WS-Transfer Get. crdefault .

  Initializes a new instance of the class.

  The address of the metadata.
  The mode to use when downloading the metadata.
- Method
  4.0.0.0
  System.IAsyncResult `` ``

  An asynchronous implementation of the method.

  Begins an asynchronous method call that returns a .

  The metadata.

  The asynchronous callback delegate invoked when the call is complete. The state associated with the asynchronous call.
- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  An asynchronous implementation of the method.

  Begins an asynchronous method call that returns a using the specified address, callback, and asynchronous state.

  The metadata obtained from the specified .

  The address of the metadata. The asynchronous callback delegate invoked when the call is complete. The state associated with the asynchronous call.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` ``

  An asynchronous implementation of the method.

  Begins an asynchronous method call that returns a using the specified address, callback, asynchronous state, and download mechanism.

  The metadata obtained from the specified .

  The address of the metadata. The value to use when downloading the metadata. The asynchronous callback delegate invoked when the call is complete. The state associated with the asynchronous call.
- Method
  4.0.0.0
  System.ServiceModel.Description.MetadataSet ``

  Ends one of the asynchronous methods to return the downloaded metadata.

  Ends an asynchronous method call that returns a .

  The that contains the downloaded metadata.

  The object that is received from a call to the method.
- Method
  4.0.0.0
  System.ServiceModel.ChannelFactory<System.ServiceModel.Description.IMetadataExchange> `` `` ``

  This method is called when retrieving metadata for a .

  When overridden in a derived class, returns the channel factory that is used to make the WS-Transfer metadata request.

  A of type that makes the WS-Transfer metadata request.

  The metadata address. The dialect of the metadata. The identifier of the metadata.
- Method
  4.0.0.0
  System.ServiceModel.Description.MetadataSet To be added.

  Returns a .

  The that contains the downloaded metadata.

- Method
  4.0.0.0
  System.ServiceModel.Description.MetadataSet `` To be added.

  Returns a from the specified address.

  The metadata located at the .

  The address from which to download the metadata.
- Method
  4.0.0.0
  System.ServiceModel.Description.MetadataSet `` ``

  Use this method to specify the address and whether to use HTTP GET or WS-Transfer Get to download the metadata.

  Returns a from the specified address using the specified download mode.

  The metadata that is downloaded.

  The address from which to download the metadata. The download mechanism to use.
- Method
  4.0.0.0
  System.Net.HttpWebRequest `` `` ``

  The method is called:

  When there is an attempt to resolve a .

  When is used.

  When overridden in a derived class, returns the used to make HTTP/GET metadata requests.

  The internal used to make HTTP GET metadata requests.

  The location of the metadata. The dialect of the metadata. The identifier of the metadata.
- Property
  4.0.0.0
  System.Net.ICredentials To be added.

  Use the property to customize the security credentials that the uses when requesting metadata using HTTP/GET.

  Gets or sets the credentials used to make an HTTP/GET request.

- Property
  4.0.0.0
  System.Int32 To be added.

  Use the property to limit the resources accessed by metadata that contains a large number of references. This limit applies to any reference in the metadata that results in a subsequent request, including metadata references, metadata locations, WSDL imports, and XML Schema imports and includes.

  Gets or sets the maximum number of references to metadata that the downloads.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  Use the property to limit the amount of time the takes before ending the operation.

  Gets or sets the period of time within which the metadata must be downloaded before an exception is thrown.

- Property
  4.0.0.0
  System.Boolean To be added.

  Set the property to false to prevent the resolution of references to metadata. In this case, references are returned as or objects inside the .

  Gets or sets a value that controls whether references to metadata are resolved.

- Property
  4.0.0.0
  System.ServiceModel.Description.ClientCredentials To be added.

  Use the property to specify the security credentials the uses when making a WS-Transfer metadata request.

  Gets or sets the client security credentials used to make a WS-Transfer metadata request.